VERSION 5.00
Object = "{EAB22AC0-30C1-11CF-A7EB-0000C05BAE0B}#1.1#0"; "shdocvw.dll"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form frmCodeDocument 
   Caption         =   "Code Documenter"
   ClientHeight    =   5490
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   9360
   Icon            =   "CodeDocumenter.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   ScaleHeight     =   5490
   ScaleWidth      =   9360
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog commdiagSaveFile 
      Left            =   1800
      Top             =   480
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin SHDocVwCtl.WebBrowser wbOutput 
      Height          =   1935
      Left            =   120
      TabIndex        =   4
      Top             =   720
      Width           =   6735
      ExtentX         =   11880
      ExtentY         =   3413
      ViewMode        =   0
      Offline         =   0
      Silent          =   0
      RegisterAsBrowser=   0
      RegisterAsDropTarget=   1
      AutoArrange     =   0   'False
      NoClientEdge    =   0   'False
      AlignLeft       =   0   'False
      NoWebView       =   0   'False
      HideFileNames   =   0   'False
      SingleClick     =   0   'False
      SingleSelection =   0   'False
      NoFolders       =   0   'False
      Transparent     =   0   'False
      ViewID          =   "{0057D0E0-3573-11CF-AE69-08002B2E1262}"
      Location        =   "http:///"
   End
   Begin VB.CommandButton cmdLoadFile 
      Caption         =   "..."
      Height          =   255
      Left            =   9000
      TabIndex        =   2
      Top             =   120
      Visible         =   0   'False
      Width           =   255
   End
   Begin MSComDlg.CommonDialog commdiagOpenFile 
      Left            =   2400
      Top             =   480
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.TextBox txtFileName 
      Height          =   285
      Left            =   840
      Locked          =   -1  'True
      TabIndex        =   1
      Top             =   120
      Width           =   8055
   End
   Begin VB.TextBox txtSource 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   735
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   2760
      Visible         =   0   'False
      Width           =   6735
   End
   Begin VB.Label Label1 
      Caption         =   "Source:"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   120
      Width           =   735
   End
   Begin VB.Label lblReport 
      Caption         =   "Report:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   975
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileOpenSource 
         Caption         =   "&Open File..."
         Shortcut        =   ^O
      End
      Begin VB.Menu mnuFileOpenProject 
         Caption         =   "&Open Project..."
         Shortcut        =   {F7}
      End
      Begin VB.Menu sep3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileSaveReport 
         Caption         =   "&Save Report..."
         Shortcut        =   ^S
      End
      Begin VB.Menu sep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "Edit"
      Begin VB.Menu mnuEditParse 
         Caption         =   "Parse"
         Shortcut        =   {F6}
      End
      Begin VB.Menu mnuHeaderFooter 
         Caption         =   "Header/Footer..."
      End
   End
   Begin VB.Menu mnuView 
      Caption         =   "View"
      Enabled         =   0   'False
      Visible         =   0   'False
      Begin VB.Menu mnuFileList 
         Caption         =   "FileList..."
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "Help"
      Begin VB.Menu mnuHelpGuidelines 
         Caption         =   "Guidelines..."
         Shortcut        =   {F1}
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About..."
      End
   End
End
Attribute VB_Name = "frmCodeDocument"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'This file is part of the ASP Code Documenter project.
'Copyright (C) 2001 Balaji Srinivasan <vinylrecord@yahoo.com>
'@see http://vinylrecord.tripod.com

'This program is free software; you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation; either version 2 of the License, or
'(at your option) any later version.

'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Dim cOutputFileName As String
Dim cReport As String

'Const OUTPUT_NEWLINE_CHARS = " "

Private Sub Form_Load()

Me.Caption = App.ProductName & " " & App.Major & "." & App.Minor & "." & App.Revision

On Error Resume Next
txtFileName.Text = GetSetting(App.EXEName, Me.Name, "FileName", "")
cOutputFileName = App.Path & "" & App.ThreadID & ".htm"
SaveFile cOutputFileName, ""
wbOutput.Navigate cOutputFileName

End Sub


Private Sub cmdLoadFile_Click()
Call mnuFileOpenSource_Click
End Sub


Private Sub mnuFileOpenProject_Click()
frmFileList.Visible = True
End Sub

Private Sub mnuFileSaveReport_Click()

Dim cReportFileName As String
commdiagSaveFile.ShowSave

cReportFileName = commdiagSaveFile.FileName
If cReportFileName = "" Then Exit Sub

SaveFile cReportFileName, cReport
'MsgBox wbOutput.Document.All.toString

End Sub


Private Sub Form_Resize()
On Error Resume Next
'cmdLoadFile.Left = Me.ScaleWidth - cmdLoadFile.Width - 120
'txtFileName.Width = cmdLoadFile.Left - txtFileName.Left - 120
txtFileName.Width = Me.ScaleWidth - txtFileName.Left - 120
wbOutput.Width = Me.ScaleWidth - 240
wbOutput.Height = Me.ScaleHeight - wbOutput.Top - 240
End Sub

Private Sub Form_Unload(Cancel As Integer)
SaveSetting App.EXEName, Me.Name, "FileName", txtFileName.Text
End Sub

Private Sub mnuEditParse_Click()
Dim oFSO As New FileSystemObject
'Check if file exists
If oFSO.FileExists(txtFileName.Text) = False Then
    MsgBox "The file " & txtFileName.Text & " does not exists.", vbInformation
    Exit Sub
End If


MousePointer = vbHourglass
DoEvents
txtSource.Text = LoadFileIntoBuffer(txtFileName.Text)
cReport = GenerateHTMLReportFormat1(txtFileName.Text)
SaveFile cOutputFileName, cReport
wbOutput.Navigate cOutputFileName


Me.Caption = App.ProductName & " " & App.Major & "." & App.Minor & "." & App.Revision & " - " & oFSO.GetFileName(txtFileName.Text)

MousePointer = vbNormal
End Sub

Private Sub mnuFileExit_Click()
End
End Sub

Private Sub mnuFileOpenSource_Click()
MousePointer = vbHourglass


'cboFileFilter.AddItem "Visual Basic (*.frm, *.bas, *.cls, *.ctl)"
'cboFileFilter.AddItem "ASP (*.asp, *.inc)"

commdiagOpenFile.Filter = "All Files (*.*)|*.*|Visual Basic (*.frm, *.bas, *.cls, *.ctl)|*.frm; *.bas; *.cls; *.ctl|Active Server Pages(*.asp, *.inc)|*.asp; *.inc" & _
                        "|(*.bmp)|*.bmp"
' Specify default filter

If commdiagOpenFile.FilterIndex = 0 Then commdiagOpenFile.FilterIndex = 2

commdiagOpenFile.FileName = txtFileName.Text
commdiagOpenFile.Flags = cdlOFNFileMustExist
commdiagOpenFile.ShowOpen

txtFileName.Text = commdiagOpenFile.FileName
If txtFileName.Text = "" Then
    MousePointer = vbNormal
    Exit Sub
End If
MousePointer = vbNormal
'txtSource.Text = LoadFileIntoBuffer(txtFileName.Text)
mnuEditParse_Click
End Sub


Private Sub mnuHeaderFooter_Click()
frmHeaderFooter.Show vbModal
End Sub

Private Sub mnuHelpAbout_Click()
'MsgBox App.ProductName & " " & App.Major & "." & App.Minor & "." & App.Revision, vbInformation
frmAbout.Show vbModal
End Sub

Private Sub mnuViewRefresh_Click()
If txtFileName.Text = "" Then
    Call mnuFileOpenSource_Click
    Exit Sub
End If
txtSource.Text = LoadFileIntoBuffer(txtFileName.Text)
End Sub

Private Sub mnuHelpGuidelines_Click()
frmHelp.Show
End Sub

Private Sub txtFileName_KeyPress(KeyAscii As Integer)
If KeyAscii = vbKeyReturn Then
    txtSource.Text = LoadFileIntoBuffer(txtFileName.Text)
End If
End Sub

