VERSION 5.00
Begin VB.Form frmFileList 
   Caption         =   "Project"
   ClientHeight    =   7200
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6840
   Icon            =   "frmFileList.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   7200
   ScaleWidth      =   6840
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtRootPath 
      Height          =   285
      Left            =   1320
      TabIndex        =   7
      ToolTipText     =   "Set this to the root of source code."
      Top             =   5520
      Width           =   5415
   End
   Begin VB.TextBox txtOutputPath 
      Height          =   285
      Left            =   1320
      TabIndex        =   6
      ToolTipText     =   "This where the docs will be generated."
      Top             =   5880
      Width           =   5415
   End
   Begin VB.CommandButton cmdClear 
      Caption         =   "&Clear"
      Height          =   375
      Left            =   4680
      TabIndex        =   4
      Top             =   6720
      Width           =   975
   End
   Begin VB.ComboBox cboFileFilter 
      Height          =   315
      ItemData        =   "frmFileList.frx":0442
      Left            =   960
      List            =   "frmFileList.frx":0444
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   6720
      Width           =   3255
   End
   Begin VB.CommandButton cmdGenerate 
      Caption         =   "&Generate"
      Height          =   375
      Left            =   5760
      TabIndex        =   1
      Top             =   6720
      Width           =   975
   End
   Begin VB.ListBox lstFiles 
      Height          =   5130
      Left            =   120
      OLEDropMode     =   1  'Manual
      TabIndex        =   0
      ToolTipText     =   "Drag and Drop the 'root' of your source code tree here."
      Top             =   240
      Width           =   6615
   End
   Begin VB.Label lblRootPath 
      Caption         =   "Root Path:"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      ToolTipText     =   "Set this to the root of source code."
      Top             =   5520
      Width           =   975
   End
   Begin VB.Label lblOutputPath 
      Caption         =   "Output Path:"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      ToolTipText     =   "This where the docs will be generated."
      Top             =   5880
      Width           =   975
   End
   Begin VB.Label Label1 
      Caption         =   "Drag and Drop the 'root' of your source code tree here."
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   0
      Width           =   4575
   End
   Begin VB.Label lblFileFilter 
      Caption         =   "File Filter:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   6720
      Width           =   855
   End
End
Attribute VB_Name = "frmFileList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdClear_Click()
lstFiles.Clear
End Sub

'This file is part of the ASP Code Documenter project.
'Copyright (C) 2001 Balaji Srinivasan <vinylrecord@yahoo.com>
'@see http://vinylrecord.tripod.com

'This program is free software; you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation; either version 2 of the License, or
'(at your option) any later version.

'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


Private Sub cmdGenerate_Click()
If lstFiles.ListCount = 0 Then
  MsgBox "Please choose some files.", vbInformation
  Exit Sub
End If
If txtRootPath.Text = "" Then
  MsgBox "Please choose a root folder.", vbInformation
  txtRootPath.SetFocus
  Exit Sub
End If
If txtOutputPath.Text = "" Then
  MsgBox "Please choose a output folder.", vbInformation
  txtOutputPath.SetFocus
  Exit Sub
End If

'Now remove any trailing slashes in folder names
If Mid(txtRootPath.Text, Len(txtRootPath.Text)) = "\" Then
    txtRootPath.Text = Mid(txtRootPath.Text, 1, Len(txtRootPath.Text) - 1)
End If
If Mid(txtOutputPath.Text, Len(txtOutputPath.Text)) = "\" Then
    txtOutputPath.Text = Mid(txtOutputPath.Text, 1, Len(txtOutputPath.Text) - 1)
End If


Dim fso As New FileSystemObject
Dim fld As Folder
Dim f As File

On Error Resume Next
Set fld = fso.GetFolder(txtRootPath.Text)
On Error GoTo 0
If fld Is Nothing Then
  MsgBox "This folder does not exist. Please choose a valid folder.", vbInformation
  txtRootPath.SetFocus
  Exit Sub
End If



On Error Resume Next
Set fld = fso.GetFolder(txtOutputPath.Text)
On Error GoTo 0
If fld Is Nothing Then
  MsgBox "This folder does not exist. Please choose a valid folder.", vbInformation
  txtOutputPath.SetFocus
  Exit Sub
End If

Dim cIndex As String
Dim cNewLine
cNewLine = "<br>" & vbNewLine

Dim i As Integer
MousePointer = vbHourglass


cIndex = cIndex & "<head>" & "<title>"
cIndex = cIndex & "File List"
cIndex = cIndex & "</title>"

cIndex = cIndex & "<style type=""text/css"">"
cIndex = cIndex & "<!--"
cIndex = cIndex & "h2 {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 14pt}"
cIndex = cIndex & "p {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt}"
cIndex = cIndex & "tr {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt}"
cIndex = cIndex & "body {  font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt}"
cIndex = cIndex & "-->"
cIndex = cIndex & "</style>"

cIndex = cIndex & "</head>" & cNewLine

cIndex = cIndex & GetSetting(App.ProductName, "Config", "Header", "")

cIndex = cIndex & "<h2>File List</h2>"

cIndex = cIndex & "<table border=1 width=100%>"

cIndex = cIndex & "<tr><td bgcolor=""#CCCCCC""><strong>File</strong></td><td bgcolor=""#CCCCCC""><strong>Description</strong></td></tr>"


For i = 0 To lstFiles.ListCount - 1
  


    'Call GenerateSimpleReport

    Dim cReportFile As String
    Dim cReportData As String, cFileName As String
    Set f = fso.GetFile(lstFiles.List(i))
    cReportFile = txtOutputPath.Text & "\" & f.Name & ".htm"
    
    cReportData = GenerateHTMLReportFormat1(lstFiles.List(i))
    SaveFile cReportFile, cReportData


    'MsgBox Replace(lstFiles.List(i), txtRootPath.Text, "")
    cIndex = cIndex & "<tr><td valign=""top"">"
    cIndex = cIndex & "<a href=" & cReportFile & ">" & Replace(lstFiles.List(i), txtRootPath.Text, "") & "</a>"
    cIndex = cIndex & "</td><td>"
    
    Dim oCodeDoc As New CodeDoc
    Dim oFileMethods As New Methods
    oCodeDoc.ReadFileIntoCollection (lstFiles.List(i))
    oCodeDoc.getFileComments lstFiles.List(i), oFileMethods
    Dim oFileMethod As Method
    For Each oFileMethod In oFileMethods
        cIndex = cIndex & oFileMethod.Description '& cNewLine
    Next
    Set oFileMethod = Nothing
    Set oFileMethods = Nothing
    Set oCodeDoc = Nothing
    
    
    cIndex = cIndex & "&nbsp;</td></tr>"

Next

cIndex = cIndex & "</table>"

cIndex = cIndex & GetSetting(App.ProductName, "Config", "Footer", "")

SaveFile txtOutputPath.Text & "\index.htm", cIndex

MousePointer = vbNormal
MsgBox "Done!", vbInformation
End Sub

Private Sub Form_Load()
Me.Height = GetSetting(App.EXEName, Me.Name, "Height", Me.Height)
Me.Width = GetSetting(App.EXEName, Me.Name, "Width", Me.Width)


cboFileFilter.AddItem "Visual Basic (*.frm, *.bas, *.cls, *.ctl)"
cboFileFilter.AddItem "ASP (*.asp, *.inc)"

cboFileFilter.ListIndex = 0

'SetFormOnTop Me, True
Call Form_Resize
End Sub

Private Sub Form_Resize()
On Error Resume Next
lstFiles.Left = 120
lstFiles.Width = Me.ScaleWidth - 240
cmdGenerate.Left = Me.ScaleWidth - cmdGenerate.Width - 120
cmdGenerate.Top = Me.ScaleHeight - cmdGenerate.Height - 120

cmdClear.Top = cmdGenerate.Top
cmdClear.Left = cmdGenerate.Left - cmdClear.Width - 120

lblFileFilter.Top = cmdGenerate.Top
cboFileFilter.Top = cmdGenerate.Top


txtOutputPath.Top = cmdGenerate.Top - txtOutputPath.Height - 120
txtRootPath.Top = txtOutputPath.Top - txtRootPath.Height - 120
lblOutputPath.Top = txtOutputPath.Top
lblRootPath.Top = txtRootPath.Top

lstFiles.Height = txtRootPath.Top - 120 - lstFiles.Top

txtRootPath.Width = Me.ScaleWidth - txtRootPath.Left - 120
txtOutputPath.Width = txtRootPath.Width

End Sub

Private Sub Form_Unload(Cancel As Integer)

SaveSetting App.EXEName, Me.Name, "Height", Me.Height
SaveSetting App.EXEName, Me.Name, "Width", Me.Width

End Sub

Private Sub lstFiles_Click()
If lstFiles.ListIndex <> -1 Then
  Dim fso As New FileSystemObject
  Dim f As File
  Set f = fso.GetFile(lstFiles.List(lstFiles.ListIndex))
  
  'txtOutputPath.Text = f.ParentFolder
  
  If txtRootPath.Text = "" Then
    txtRootPath.Text = f.ParentFolder
  End If
End If
End Sub

Private Sub lstFiles_DblClick()
If lstFiles.ListIndex <> -1 Then
    frmCodeDocument.txtFileName.Text = lstFiles.List(lstFiles.ListIndex)
    frmCodeDocument.txtSource.Text = LoadFileIntoBuffer(frmCodeDocument.txtFileName.Text)
End If
End Sub

Private Sub lstFiles_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim cFileName
Dim fso As New FileSystemObject
Dim f As File
Dim fld As Folder

MousePointer = vbHourglass
For Each cFileName In Data.Files
  
  'Now see if it was a folder or a file
  On Error Resume Next
  Set f = fso.GetFile(cFileName)
  If Err.Number = 53 Then
    'It was a folder
    Set fld = fso.GetFolder(cFileName)
    AddFolder fld
  Else
    Addfile f
  End If
Next
MousePointer = vbNormal
End Sub

Private Sub AddFolder(fldFolder As Folder)
Dim fld As Folder
Dim fl As File

For Each fl In fldFolder.Files
  Addfile fl
Next

If fldFolder.SubFolders.Count <> 0 Then
  For Each fld In fldFolder.SubFolders
    AddFolder fld
  Next
End If
End Sub

Private Sub Addfile(ByVal FileName As File)
Dim cFileName
cFileName = FileName.Path

If InStr(LCase(cboFileFilter.Text), "visual basic") <> 0 Then
    If Right(UCase(cFileName), 3) = "FRM" Then
      lstFiles.AddItem cFileName
    End If
    If Right(UCase(cFileName), 3) = "BAS" Then
      lstFiles.AddItem cFileName
    End If
    If Right(UCase(cFileName), 3) = "CTL" Then
      lstFiles.AddItem cFileName
    End If
    If Right(UCase(cFileName), 3) = "CLS" Then
      lstFiles.AddItem cFileName
    End If
End If

If InStr(LCase(cboFileFilter.Text), "asp") <> 0 Then
    If Right(UCase(cFileName), 3) = "ASP" Then
      lstFiles.AddItem cFileName
    End If
    If Right(UCase(cFileName), 3) = "INC" Then
      lstFiles.AddItem cFileName
    End If
End If

End Sub


